View Issue Details

IDProjectCategoryView StatusLast Update
0001179XdebugUsage problems (Wrong Results)public2016-12-04 17:09
ReporterstanAssigned Toderick 
PrioritynoneSeverityminorReproducibilityalways
Status acknowledgedResolutionreopened 
PlatformOSFedora 22OS VersionFedora 22
Product Version2.3.3 
Target VersionFixed in Version 
Summary0001179: Remote debugging terminates
DescriptionRemote debugging terminates on a line which calls a function in ioncube encoded file. This wasn't happening on my previous server which was ubuntu 12.04.

I contacted ioncube. The response below:
"phpStorm uses xDebug and xDebug is unable to skip encoded files. We would suggest contacting the xDebug developer to ask about changing xDebug to handle encoded files better."
Steps To Reproduce1. Turn off remote debugging (remove cookie).
2. Reload page in browser -> code runs without problems.
3. Turn on remote debugging (add cookie).
4. No breakpoints.
5. Reload page in browser -> code execution terminates on a line which calls function in ioncube encoded file.

Response in browser is:
"The connection was reset"

If I put breakpoint on the encoded function, then step over, the debugging and execution terminates. If I put a breakpoint after the function, it never breaks.

On my previous server (ubuntu 12.04), the encoded function was normally skipped when stepping over. The same happened when I attempted to step into.

The code is part of magento with an extension which has some encoded files. I wasn't able to create a short reproducable script because there are a lot of dependencies and I don't know what is in the encoded file.
Additional InformationI use phpStorm client.

Attached is a xdebug.remote_log generated when stepping over the encoded function.
<- step_over -i 27 is the last entry.

After the execution terminates, it restarts second times and terminates again. I think that it could be firefox trying second request.


Current server:
OS: Fedora 22
ionCube Loader version 5.0.14 for PHP 5.6

Zend Engine v2.6.0
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.0.14
    with Xdebug v2.3.3
TagsNo tags attached.
Operating SystemFedora 22
PHP Version5.5.30-5.5.34

Activities

stan

2015-08-17 18:16

reporter  

xdebug_remote_log.txt (82,191 bytes)
Log opened at 2015-08-17 18:07:32
I: Connecting to configured address/port: 192.168.1.33:10000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/root/www/compsafedev3/warp.php" language="PHP" protocol_version="1.0" appid="9811" idekey="PHPSTORM"><engine version="2.3.3"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2015 by Derick Rethans]]></copyright></init>

<- feature_set -i 0 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="0" feature="show_hidden" success="1"></response>

<- feature_set -i 1 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="max_depth" success="1"></response>

<- feature_set -i 2 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_children" success="1"></response>

<- status -i 3
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="3" status="starting" reason="ok"></response>

<- step_into -i 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="4" status="break" reason="ok"><xdebug:message filename="file:///home/root/www/compsafedev3/warp.php" lineno="30"></xdebug:message></response>

<- eval -i 5 -- aXNzZXQoJF9TRVJWRVJbJ1BIUF9JREVfQ09ORklHJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="5"><property address="140728450173408" type="bool"><![CDATA[0]]></property></response>

<- eval -i 6 -- aXNzZXQoJF9TRVJWRVJbJ1NFUlZFUl9OQU1FJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="6"><property address="140728450173408" type="bool"><![CDATA[1]]></property></response>

<- eval -i 7 -- KHN0cmluZykoJF9TRVJWRVJbJ1NFUlZFUl9OQU1FJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="7"><property address="140728450173408" type="string" size="30" encoding="base64"><![CDATA[bG9jYWxkZXYzLmF0bGFudGljdHJhaW5pbmcuY29t]]></property></response>

<- eval -i 8 -- KHN0cmluZykoJF9TRVJWRVJbJ1NFUlZFUl9QT1JUJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="8"><property address="140728450173408" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property></response>

<- eval -i 9 -- KHN0cmluZykoJF9TRVJWRVJbJ1JFUVVFU1RfVVJJJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="9"><property address="140728450173408" type="string" size="36" encoding="base64"><![CDATA[L3Nob3AvY2FzZm9ybXMvcmVnaXN0ZXJ0b3dhdGNoL3Bvc3Qv]]></property></response>

<- breakpoint_set -i 10 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 82
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="10" id="98110001"></response>

<- breakpoint_set -i 11 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 90
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="11" id="98110002"></response>

<- breakpoint_set -i 12 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 80
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="12" id="98110003"></response>

<- breakpoint_set -i 13 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 89
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="13" id="98110004"></response>

<- stack_get -i 14
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="14"><stack where="{main}" level="0" type="file" filename="file:///home/root/www/compsafedev3/warp.php" lineno="30"></stack></response>

<- run -i 15
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="15" status="break" reason="ok"><xdebug:message filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php" lineno="80"></xdebug:message></response>

<- stack_get -i 16
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="16"><stack where="Unirgy_Dropship_Helper_Data-&gt;isActive" level="0" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php" lineno="80"></stack><stack where="Unirgy_Dropship_Model_Stock_Item-&gt;getAlwaysInStock" level="1" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Model/Stock/Item.php" lineno="35"></stack><stack where="Unirgy_Dropship_Model_Stock_Item-&gt;getIsInStock" level="2" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Model/Stock/Item.php" lineno="61"></stack><stack where="Mage_CatalogInventory_Model_Stock_Item-&gt;assignProduct" level="3" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/CatalogInventory/Model/Stock/Item.php" lineno="273"></stack><stack where="Unirgy_Dropship_Model_Stock_Item-&gt;assignProduct" level="4" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Model/Stock/Item.php" lineno="89"></stack><stack where="Mage_CatalogInventory_Model_Observer-&gt;addInventoryData" level="5" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/CatalogInventory/Model/Observer.php" lineno="78"></stack><stack where="Mage_Core_Model_App-&gt;_callObserverMethod" level="6" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/App.php" lineno="1338"></stack><stack where="Mage_Core_Model_App-&gt;dispatchEvent" level="7" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/App.php" lineno="1317"></stack><stack where="Mage::dispatchEvent" level="8" type="file" filename="file:///home/root/www/compsafedev3/app/Mage.php" lineno="447"></stack><stack where="Mage_Core_Model_Abstract-&gt;_afterLoad" level="9" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/Abstract.php" lineno="267"></stack><stack where="Mage_Catalog_Model_Product-&gt;_afterLoad" level="10" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Catalog/Model/Product.php" lineno="592"></stack><stack where="Mage_Core_Model_Abstract-&gt;load" level="11" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/Abstract.php" lineno="226"></stack><stack where="ComplianceAndSafety_Forms_RegistertowatchController-&gt;postAction" level="12" type="file" filename="file:///home/root/www/compsafedev3/app/code/local/ComplianceAndSafety/Forms/controllers/RegistertowatchController.php" lineno="116"></stack><stack where="Mage_Core_Controller_Varien_Action-&gt;dispatch" level="13" type="file" filename="file:///home/root/www/compsafedev3/app/code/local/Mage/Core/Controller/Varien/Action.php" lineno="419"></stack><stack where="Mage_Core_Controller_Varien_Router_Standard-&gt;match" level="14" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php" lineno="254"></stack><stack where="Mage_Core_Controller_Varien_Front-&gt;dispatch" level="15" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Controller/Varien/Front.php" lineno="176"></stack><stack where="Mage_Core_Model_App-&gt;run" level="16" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/App.php" lineno="354"></stack><stack where="Mage::run" level="17" type="file" filename="file:///home/root/www/compsafedev3/app/Mage.php" lineno="683"></stack><stack where="include_once" level="18" type="file" filename="file:///home/root/www/compsafedev3/index.php" lineno="104"></stack><stack where="{main}" level="19" type="file" filename="file:///home/root/www/compsafedev3/warp.php" lineno="44"></stack></response>

<- context_names -i 17 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="17"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 18 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="18" context="0"><property name="$e" fullname="$e" type="uninitialized"></property><property name="$store" fullname="$store" address="94478571057112" type="object" classname="Mage_Core_Model_Store" children="1" numchildren="29" page="0" pagesize="100"><property name="_underscoreCache" fullname="$store::_underscoreCache" facet="static protected" address="140182747068928" type="array" children="1" numchildren="31"></property><property name="_cacheTag" fullname="$store-&gt;_cacheTag" facet="protected" address="94478569845304" type="bool"><![CDATA[1]]></property><property name="_eventPrefix" fullname="$store-&gt;_eventPrefix" facet="protected" address="94478569845552" type="string" size="5" encoding="base64"><![CDATA[c3RvcmU=]]></property><property name="_eventObject" fullname="$store-&gt;_eventObject" facet="protected" address="94478569845880" type="string" size="5" encoding="base64"><![CDATA[c3RvcmU=]]></property><property name="_priceFilter" fullname="$store-&gt;_priceFilter" facet="protected" address="94478569846096" type="null"></property><property name="_website" fullname="$store-&gt;_website" facet="protected" address="94478571063176" type="object" classname="Mage_Core_Model_Website" children="1" numchildren="28"></property><property name="_group" fullname="$store-&gt;_group" facet="protected" address="94478571074808" type="object" classname="Mage_Core_Model_Store_Group" children="1" numchildren="23"></property><property name="_configCache" fullname="$store-&gt;_configCache" facet="protected" address="94478571077264" type="array" children="1" numchildren="69"></property><property name="_configCacheBaseNodes" fullname="$store-&gt;_configCacheBaseNodes" facet="protected" address="94478571059544" type="array" children="1" numchildren="10"></property><property name="_dirCache" fullname="$store-&gt;_dirCache" facet="protected" address="94478569847568" type="array" children="0" numchildren="0"></property><property name="_urlCache" fullname="$store-&gt;_urlCache" facet="protected" address="94478569848216" type="array" children="0" numchildren="0"></property><property name="_baseUrlCache" fullname="$store-&gt;_baseUrlCache" facet="protected" address="94478579094616" type="array" children="1" numchildren="2"></property><property name="_session" fullname="$store-&gt;_session" facet="protected" address="94478569848952" type="null"></property><property name="_isAdminSecure" fullname="$store-&gt;_isAdminSecure" facet="protected" address="94478569849392" type="null"></property><property name="_isFrontSecure" fullname="$store-&gt;_isFrontSecure" facet="protected" address="94478569849728" type="null"></property><property name="_frontendName" fullname="$store-&gt;_frontendName" facet="protected" address="94478569850032" type="null"></property><property name="_isReadOnly" fullname="$store-&gt;_isReadOnly" facet="private" address="94478569850328" type="bool"><![CDATA[0]]></property><property name="_resourceName" fullname="$store-&gt;_resourceName" facet="protected" address="94478571057696" type="string" size="10" encoding="base64"><![CDATA[Y29yZS9zdG9yZQ==]]></property><property name="_resource" fullname="$store-&gt;_resource" facet="protected" address="94478566981976" type="null"></property><property name="_resourceCollectionName" fullname="$store-&gt;_resourceCollectionName" facet="protected" address="94478571057832" type="string" size="21" encoding="base64"><![CDATA[Y29yZS9zdG9yZV9jb2xsZWN0aW9u]]></property><property name="_dataSaveAllowed" fullname="$store-&gt;_dataSaveAllowed" facet="protected" address="140182746476088" type="bool"><![CDATA[1]]></property><property name="_isObjectNew" fullname="$store-&gt;_isObjectNew" facet="protected" address="140182746476464" type="null"></property><property name="_data" fullname="$store-&gt;_data" facet="protected" address="94478571057648" type="array" children="1" numchildren="7"></property><property name="_hasDataChanges" fullname="$store-&gt;_hasDataChanges" facet="protected" address="94478571059640" type="bool"><![CDATA[1]]></property><property name="_origData" fullname="$store-&gt;_origData" facet="protected" address="94478571057648" type="array" children="1" numchildren="7"></property><property name="_idFieldName" fullname="$store-&gt;_idFieldName" facet="protected" address="140182747697624" type="null"></property><property name="_isDeleted" fullname="$store-&gt;_isDeleted" facet="protected" address="140182747555552" type="bool"><![CDATA[0]]></property><property name="_oldFieldsMap" fullname="$store-&gt;_oldFieldsMap" facet="protected" address="140182747069096" type="array" children="0" numchildren="0"></property><property name="_syncFieldsMap" fullname="$store-&gt;_syncFieldsMap" facet="protected" address="140182747556320" type="array" children="0" numchildren="0"></property></property><property name="$storeId" fullname="$storeId" address="94478571048176" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="$udropship" fullname="$udropship" type="uninitialized"></property><property name="$udsplit" fullname="$udsplit" type="uninitialized"></property><property name="$this" fullname="$this" address="94478588207952" type="object" classname="Unirgy_Dropship_Helper_Data" children="1" numchildren="27" page="0" pagesize="100"><property name="_dtlIps" fullname="$this::_dtlIps" facet="static protected" address="94478591616888" type="array" children="1" numchildren="2"></property><property name="_vendors" fullname="$this-&gt;_vendors" facet="protected" address="94478588176704" type="array" children="0" numchildren="0"></property><property name="_regions" fullname="$this-&gt;_regions" facet="protected" address="94478588175984" type="array" children="0" numchildren="0"></property><property name="_trueStock" fullname="$this-&gt;_trueStock" facet="protected" address="94478588174928" type="bool"><![CDATA[0]]></property><property name="_vendorShipmentCollection" fullname="$this-&gt;_vendorShipmentCollection" facet="protected" address="94478588207568" type="null"></property><property name="_carrierMethods" fullname="$this-&gt;_carrierMethods" facet="protected" address="94478588176272" type="array" children="0" numchildren="0"></property><property name="_version" fullname="$this-&gt;_version" facet="protected" address="94478588207712" type="null"></property><property name="_localVendorId" fullname="$this-&gt;_localVendorId" facet="protected" address="94478588214864" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="_isActive" fullname="$this-&gt;_isActive" facet="protected" address="94478588207520" type="null"></property><property name="_storeOrigin" fullname="$this-&gt;_storeOrigin" facet="protected" address="94478590908928" type="array" children="0" numchildren="0"></property><property name="_store" fullname="$this-&gt;_store" facet="protected" address="94478590908784" type="null"></property><property name="_oldStore" fullname="$this-&gt;_oldStore" facet="protected" address="94478588204304" type="null"></property><property name="_oldArea" fullname="$this-&gt;_oldArea" facet="protected" address="94478588204256" type="null"></property><property name="_oldDesign" fullname="$this-&gt;_oldDesign" facet="protected" address="94478588204208" type="null"></property><property name="_queue" fullname="$this-&gt;_queue" facet="protected" address="94478588204016" type="array" children="0" numchildren="0"></property><property name="_shippingMethods" fullname="$this-&gt;_shippingMethods" facet="protected" address="94478591162128" type="null"></property><property name="_systemShippingMethods" fullname="$this-&gt;_systemShippingMethods" facet="protected" address="94478588208912" type="null"></property><property name="_multiSystemShippingMethods" fullname="$this-&gt;_multiSystemShippingMethods" facet="protected" address="94478588209104" type="null"></property><property name="_hasMageFeature" fullname="$this-&gt;_hasMageFeature" facet="protected" address="94478591185640" type="array" children="0" numchildren="0"></property><property name="_shipmentComments" fullname="$this-&gt;_shipmentComments" facet="protected" address="94478588210784" type="array" children="0" numchildren="0"></property><property name="_emptyStatementTotalsAmount" fullname="$this-&gt;_emptyStatementTotalsAmount" facet="protected" address="94478588212032" type="array" children="1" numchildren="8"></property><property name="_emptyStatementCalcTotalsAmount" fullname="$this-&gt;_emptyStatementCalcTotalsAmount" facet="protected" address="94478588212176" type="array" children="1" numchildren="1"></property><property name="_emptyStatementCalcTotals" fullname="$this-&gt;_emptyStatementCalcTotals" facet="protected" address="94478588212224" type="null"></property><property name="_emptyStatementTotals" fullname="$this-&gt;_emptyStatementTotals" facet="protected" address="94478591376816" type="null"></property><property name="_moduleName" fullname="$this-&gt;_moduleName" facet="protected" address="140183230684992" type="null"></property><property name="_request" fullname="$this-&gt;_request" facet="protected" address="140183230456544" type="null"></property><property name="_layout" fullname="$this-&gt;_layout" facet="protected" address="140183230683040" type="null"></property></property></response>

<- context_get -i 19 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="19" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="140183231644008" type="array" children="1" numchildren="12" page="0" pagesize="100"><property name="srch_bar_tt" fullname="$_COOKIE[&#39;srch_bar_tt&#39;]" address="140183231651776" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" address="140183231652288" type="string" size="53" encoding="base64"><![CDATA[NzIyNjU0My4xNDI0MTk0MDE0LjE0Mzk4MTYzNTkuMTQzOTgyMjIwOS4xNDM5ODMxMzY1LjM=]]></property><property name="__utmc" fullname="$_COOKIE[&#39;__utmc&#39;]" address="140183231652640" type="string" size="7" encoding="base64"><![CDATA[NzIyNjU0Mw==]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" address="140183231653192" type="string" size="68" encoding="base64"><![CDATA[NzIyNjU0My4xNDM5ODE2MzU5LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk=]]></property><property name="__ctmid" fullname="$_COOKIE[&#39;__ctmid&#39;]" address="140183231653624" type="string" size="24" encoding="base64"><![CDATA[NTVkMWZhMGUwMDA0Mzk2NDVlMDRiZmMx]]></property><property name="__lc_visitor_id_5881141" fullname="$_COOKIE[&#39;__lc_visitor_id_5881141&#39;]" address="140183231653960" type="string" size="22" encoding="base64"><![CDATA[UzE0MzE3NTgzODguYTg5MDRlZjAwYw==]]></property><property name="lc_window_state" fullname="$_COOKIE[&#39;lc_window_state&#39;]" address="140183231654336" type="string" size="9" encoding="base64"><![CDATA[bWluaW1pemVk]]></property><property name="frontend" fullname="$_COOKIE[&#39;frontend&#39;]" address="140183231654784" type="string" size="26" encoding="base64"><![CDATA[bG9iYmVxbTVpOTRqY2lqdjQ3b2twYjQ1azE=]]></property><property name="__utmb" fullname="$_COOKIE[&#39;__utmb&#39;]" address="140183231655320" type="string" size="25" encoding="base64"><![CDATA[NzIyNjU0My43LjkuMTQzOTgzNDc2MTcxMg==]]></property><property name="external_no_cache" fullname="$_COOKIE[&#39;external_no_cache&#39;]" address="140183231655784" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="__utmt" fullname="$_COOKIE[&#39;__utmt&#39;]" address="140183231656152" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" address="140183231656512" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property></property><property name="$_ENV" fullname="$_ENV" address="140183231675952" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="140183231644144" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="140183231643120" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="140183231643872" type="array" children="1" numchildren="14" page="0" pagesize="100"><property name="product_id" fullname="$_POST[&#39;product_id&#39;]" address="140183231645216" type="string" size="3" encoding="base64"><![CDATA[OTg5]]></property><property name="action" fullname="$_POST[&#39;action&#39;]" address="140183231645560" type="string" size="4" encoding="base64"><![CDATA[UGxheQ==]]></property><property name="action_label" fullname="$_POST[&#39;action_label&#39;]" address="140183231646048" type="string" size="43" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIERWRA==]]></property><property name="action_label_src" fullname="$_POST[&#39;action_label_src&#39;]" address="140183231646824" type="string" size="125" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9tZWRpYS9jYXRhbG9nL3Byb2R1Y3QvY2FjaGUvMS9pbWFnZS8yMjB4MjIwLzA0MGVjMDliMWUzNWRmMTM5NDMzODg3YTk3ZGFhNjZmLzcvNy83Ny5qcGc=]]></property><property name="action_target" fullname="$_POST[&#39;action_target&#39;]" address="140183231647288" type="string" size="31" encoding="base64"><![CDATA[Ly92aWV3LnZ6YWFyLmNvbS80MDkxMDIyL3BsYXllcg==]]></property><property name="source_url" fullname="$_POST[&#39;source_url&#39;]" address="140183231647960" type="string" size="96" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9zaG9wL2V5ZS1zYWZldHktaW4tY29uc3RydWN0aW9uLWVudmlyb25tZW50cy1kdmQtMTMwOS5odG1s]]></property><property name="page_title" fullname="$_POST[&#39;page_title&#39;]" address="140183231648528" type="string" size="64" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIFRyYWluaW5nIFZpZGVvIGJ5IE1hcmNvbQ==]]></property><property name="cms_url_key" fullname="$_POST[&#39;cms_url_key&#39;]" address="140183231648864" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="comments" fullname="$_POST[&#39;comments&#39;]" address="140183231649344" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="name" fullname="$_POST[&#39;name&#39;]" address="140183231649848" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="company_name" fullname="$_POST[&#39;company_name&#39;]" address="140183231650208" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="email" fullname="$_POST[&#39;email&#39;]" address="140183231650576" type="string" size="14" encoding="base64"><![CDATA[dGVzdEBhbm9yYi5jb20=]]></property><property name="phone" fullname="$_POST[&#39;phone&#39;]" address="140183231650960" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="details" fullname="$_POST[&#39;details&#39;]" address="140183231651280" type="string" size="0" encoding="base64"><![CDATA[]]></property></property><property name="$_REQUEST" fullname="$_REQUEST" address="140183231674304" type="array" children="1" numchildren="14" page="0" pagesize="100"><property name="product_id" fullname="$_REQUEST[&#39;product_id&#39;]" address="140183231645216" type="string" size="3" encoding="base64"><![CDATA[OTg5]]></property><property name="action" fullname="$_REQUEST[&#39;action&#39;]" address="140183231645560" type="string" size="4" encoding="base64"><![CDATA[UGxheQ==]]></property><property name="action_label" fullname="$_REQUEST[&#39;action_label&#39;]" address="140183231646048" type="string" size="43" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIERWRA==]]></property><property name="action_label_src" fullname="$_REQUEST[&#39;action_label_src&#39;]" address="140183231646824" type="string" size="125" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9tZWRpYS9jYXRhbG9nL3Byb2R1Y3QvY2FjaGUvMS9pbWFnZS8yMjB4MjIwLzA0MGVjMDliMWUzNWRmMTM5NDMzODg3YTk3ZGFhNjZmLzcvNy83Ny5qcGc=]]></property><property name="action_target" fullname="$_REQUEST[&#39;action_target&#39;]" address="140183231647288" type="string" size="31" encoding="base64"><![CDATA[Ly92aWV3LnZ6YWFyLmNvbS80MDkxMDIyL3BsYXllcg==]]></property><property name="source_url" fullname="$_REQUEST[&#39;source_url&#39;]" address="140183231647960" type="string" size="96" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9zaG9wL2V5ZS1zYWZldHktaW4tY29uc3RydWN0aW9uLWVudmlyb25tZW50cy1kdmQtMTMwOS5odG1s]]></property><property name="page_title" fullname="$_REQUEST[&#39;page_title&#39;]" address="140183231648528" type="string" size="64" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIFRyYWluaW5nIFZpZGVvIGJ5IE1hcmNvbQ==]]></property><property name="cms_url_key" fullname="$_REQUEST[&#39;cms_url_key&#39;]" address="140183231648864" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="comments" fullname="$_REQUEST[&#39;comments&#39;]" address="140183231649344" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="name" fullname="$_REQUEST[&#39;name&#39;]" address="140183231649848" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="company_name" fullname="$_REQUEST[&#39;company_name&#39;]" address="140183231650208" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="email" fullname="$_REQUEST[&#39;email&#39;]" address="140183231650576" type="string" size="14" encoding="base64"><![CDATA[dGVzdEBhbm9yYi5jb20=]]></property><property name="phone" fullname="$_REQUEST[&#39;phone&#39;]" address="140183231650960" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="details" fullname="$_REQUEST[&#39;details&#39;]" address="140183231651280" type="string" size="0" encoding="base64"><![CDATA[]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="140183231644368" type="array" children="1" numchildren="39" page="0" pagesize="100"><property name="REDIRECT_UNIQUE_ID" fullname="$_SERVER[&#39;REDIRECT_UNIQUE_ID&#39;]" address="140183231656824" type="string" size="27" encoding="base64"><![CDATA[VmRJaTVBYkprdmRVSzRPNTV2NS1pUUFBQUFF]]></property><property name="REDIRECT_HTTP_AUTHORIZATION" fullname="$_SERVER[&#39;REDIRECT_HTTP_AUTHORIZATION&#39;]" address="140183231657184" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REDIRECT_STATUS" fullname="$_SERVER[&#39;REDIRECT_STATUS&#39;]" address="140183231657568" type="string" size="3" encoding="base64"><![CDATA[MjAw]]></property><property name="UNIQUE_ID" fullname="$_SERVER[&#39;UNIQUE_ID&#39;]" address="140183231657968" type="string" size="27" encoding="base64"><![CDATA[VmRJaTVBYkprdmRVSzRPNTV2NS1pUUFBQUFF]]></property><property name="HTTP_AUTHORIZATION" fullname="$_SERVER[&#39;HTTP_AUTHORIZATION&#39;]" address="140183231658312" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="140183231658720" type="string" size="30" encoding="base64"><![CDATA[bG9jYWxkZXYzLmF0bGFudGljdHJhaW5pbmcuY29t]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="140183231659216" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBXT1c2NDsgcnY6NDAuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC80MC4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="140183231659680" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="140183231660200" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="140183231660728" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_REFERER" fullname="$_SERVER[&#39;HTTP_REFERER&#39;]" address="140183231661216" type="string" size="67" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9zaG9wL2Nhc2Zvcm1zL3JlZ2lzdGVydG93YXRjaA==]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" address="140183231662688" type="string" size="564" encoding="base64"><![CDATA[c3JjaF9iYXJfdHQ9MDsgX191dG1hPTcyMjY1NDMuMTQyNDE5NDAxNC4xNDM5ODE2MzU5LjE0Mzk4MjIyMDkuMTQzOTgzMTM2NS4zOyBfX3V0bWM9NzIyNjU0MzsgX191dG16PTcyMjY1NDMuMTQzOTgxNjM1OS4xLjEudXRtY3NyPShkaXJlY3QpfHV0bWNjbj0oZGlyZWN0KXx1dG1jbWQ9KG5vbmUpOyBfX2N0bWlkPTU1ZDFmYTBlMDAwNDM5NjQ1ZTA0YmZjMTsgX191dG1hPTIxMzk3MTM5OS4yODY1ODk1NzcuMTQzOTgyNDM5OC4xNDM5ODI0Mzk4LjE0Mzk4MjQzOTguMTsgX191dG1jPTIxMzk3MTM5OTsgX191dG16PTIxMzk3MTM5OS4xNDM5ODI0Mzk4LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IF9fbGMudmlzaXRvcl9pZC41ODgxMTQxPVMxNDMxNzU4Mzg4LmE4OTA0ZWYwMGM7IGxjX3dpbmRvd19zdGF0ZT1taW5pbWl6ZWQ7IGZyb250ZW5kPWxvYmJlcW01aTk0amNpanY0N29rcGI0NWsxOyBfX3V0bWI9NzIyNjU0My43LjkuMTQzOTgzNDc2MTcxMjsgZXh0ZXJuYWxfbm9fY2FjaGU9MTsgX191dG10PTE7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JN]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="140183231663056" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="CONTENT_TYPE" fullname="$_SERVER[&#39;CONTENT_TYPE&#39;]" address="140183231663360" type="string" size="33" encoding="base64"><![CDATA[YXBwbGljYXRpb24veC13d3ctZm9ybS11cmxlbmNvZGVk]]></property><property name="CONTENT_LENGTH" fullname="$_SERVER[&#39;CONTENT_LENGTH&#39;]" address="140183231663728" type="string" size="3" encoding="base64"><![CDATA[NTk2]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="140183231664096" type="string" size="49" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbg==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="140183231664704" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="140183231665496" type="string" size="81" encoding="base64"><![CDATA[QXBhY2hlLzIuNC4xNiAoRmVkb3JhKSBPcGVuU1NMLzEuMC4xay1maXBzIFBIUC81LjYuMTEgbW9kX3BlcmwvMi4wLjkgUGVybC92NS4yMC4y]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="140183231665896" type="string" size="30" encoding="base64"><![CDATA[bG9jYWxkZXYzLmF0bGFudGljdHJhaW5pbmcuY29t]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="140183231666264" type="string" size="13" encoding="base64"><![CDATA[MTkyLjE2OC4xLjEyNA==]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="140183231666632" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="140183231667000" type="string" size="12" encoding="base64"><![CDATA[MTkyLjE2OC4xLjMz]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="140183231667400" type="string" size="27" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="140183231667768" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="140183231668104" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="140183231668512" type="string" size="27" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="140183231668888" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="140183231669304" type="string" size="36" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL3dhcnAucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="140183231669672" type="string" size="5" encoding="base64"><![CDATA[NTM0NDg=]]></property><property name="REDIRECT_URL" fullname="$_SERVER[&#39;REDIRECT_URL&#39;]" address="140183231670088" type="string" size="36" encoding="base64"><![CDATA[L3Nob3AvY2FzZm9ybXMvcmVnaXN0ZXJ0b3dhdGNoL3Bvc3Qv]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="140183231670464" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="140183231670840" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="140183231671736" type="string" size="4" encoding="base64"><![CDATA[UE9TVA==]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="140183231672600" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="140183231673016" type="string" size="36" encoding="base64"><![CDATA[L3Nob3AvY2FzZm9ybXMvcmVnaXN0ZXJ0b3dhdGNoL3Bvc3Qv]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="140183231673384" type="string" size="9" encoding="base64"><![CDATA[L3dhcnAucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="140183231673752" type="string" size="9" encoding="base64"><![CDATA[L3dhcnAucGhw]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="140183231673904" type="float"><![CDATA[1439834852.932]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="140183231674064" type="int"><![CDATA[1439834852]]></property></property><property name="$_SESSION" fullname="$_SESSION" address="94478579864680" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="core" fullname="$_SESSION[&#39;core&#39;]" address="94478579049656" type="array" children="1" numchildren="4"></property><property name="customer_base" fullname="$_SESSION[&#39;customer_base&#39;]" address="94478579089912" type="array" children="1" numchildren="3"></property><property name="catalog" fullname="$_SESSION[&#39;catalog&#39;]" address="94478579339936" type="array" children="1" numchildren="6"></property><property name="checkout" fullname="$_SESSION[&#39;checkout&#39;]" address="94478579085352" type="array" children="1" numchildren="3"></property><property name="store_shop" fullname="$_SESSION[&#39;store_shop&#39;]" address="94478579345848" type="array" children="1" numchildren="2"></property><property name="reports" fullname="$_SESSION[&#39;reports&#39;]" address="94478579796520" type="array" children="1" numchildren="4"></property><property name="tag" fullname="$_SESSION[&#39;tag&#39;]" address="94478579797048" type="array" children="1" numchildren="3"></property></property><property name="$GLOBALS" fullname="$GLOBALS" address="140183231676176" type="array" children="1" numchildren="17" page="0" pagesize="100"><property name="_GET" fullname="$GLOBALS[&#39;_GET&#39;]" address="140183231643120" type="array" children="0" numchildren="0"></property><property name="_POST" fullname="$GLOBALS[&#39;_POST&#39;]" address="140183231643872" type="array" children="1" numchildren="14"></property><property name="_COOKIE" fullname="$GLOBALS[&#39;_COOKIE&#39;]" address="140183231644008" type="array" children="1" numchildren="12"></property><property name="_FILES" fullname="$GLOBALS[&#39;_FILES&#39;]" address="140183231644144" type="array" children="0" numchildren="0"></property><property name="_SERVER" fullname="$GLOBALS[&#39;_SERVER&#39;]" address="140183231644368" type="array" children="1" numchildren="39"></property><property name="_REQUEST" fullname="$GLOBALS[&#39;_REQUEST&#39;]" address="140183231674304" type="array" children="1" numchildren="14"></property><property name="_ENV" fullname="$GLOBALS[&#39;_ENV&#39;]" address="140183231675952" type="array" children="0" numchildren="0"></property><property name="GLOBALS" fullname="$GLOBALS[&#39;GLOBALS&#39;]" address="140183231676176" type="array" children="1" recursive="1"></property><property name="paths" fullname="$GLOBALS[&#39;paths&#39;]" address="140183230597384" type="array" children="1" numchildren="4"></property><property name="appPath" fullname="$GLOBALS[&#39;appPath&#39;]" address="140183230598296" type="string" size="163" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2FwcC9jb2RlL2xvY2FsOi9ob21lL3Jvb3Qvd3d3L2NvbXBzYWZlZGV2My9hcHAvY29kZS9jb21tdW5pdHk6L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2FwcC9jb2RlL2NvcmU6L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2xpYg==]]></property><property name="excludeWarp" fullname="$GLOBALS[&#39;excludeWarp&#39;]" address="140183230704896" type="bool"><![CDATA[0]]></property><property name="compilerConfig" fullname="$GLOBALS[&#39;compilerConfig&#39;]" address="94478570965120" type="string" size="47" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2luY2x1ZGVzL2NvbmZpZy5waHA=]]></property><property name="mageFilename" fullname="$GLOBALS[&#39;mageFilename&#39;]" address="94478570999848" type="string" size="40" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2FwcC9NYWdlLnBocA==]]></property><property name="maintenanceFile" fullname="$GLOBALS[&#39;maintenanceFile&#39;]" address="94478570999608" type="string" size="16" encoding="base64"><![CDATA[bWFpbnRlbmFuY2UuZmxhZw==]]></property><property name="mageRunCode" fullname="$GLOBALS[&#39;mageRunCode&#39;]" address="94478570968656" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="mageRunType" fullname="$GLOBALS[&#39;mageRunType&#39;]" address="94478570969312" type="string" size="5" encoding="base64"><![CDATA[c3RvcmU=]]></property><property name="_SESSION" fullname="$GLOBALS[&#39;_SESSION&#39;]" address="94478579864680" type="array" children="1" numchildren="7"></property></property></response>

<- context_get -i 20 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="20" context="2"><property name="DS" fullname="DS" address="94478563833776" type="string" size="1" facet="constant" encoding="base64"><![CDATA[Lw==]]></property><property name="PS" fullname="PS" address="94478563833920" type="string" size="1" facet="constant" encoding="base64"><![CDATA[Og==]]></property><property name="BP" fullname="BP" address="94478563834096" type="string" size="27" facet="constant" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property><property name="MAGENTO_ROOT" fullname="MAGENTO_ROOT" address="94478563842288" type="string" size="27" facet="constant" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property></response>

<- step_over -i 21
Log opened at 2015-08-17 18:07:34
I: Connecting to configured address/port: 192.168.1.33:10000.
I: Connected to client. :-)
-> <init xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" fileuri="file:///home/root/www/compsafedev3/warp.php" language="PHP" protocol_version="1.0" appid="9782" idekey="PHPSTORM"><engine version="2.3.3"><![CDATA[Xdebug]]></engine><author><![CDATA[Derick Rethans]]></author><url><![CDATA[http://xdebug.org]]></url><copyright><![CDATA[Copyright (c) 2002-2015 by Derick Rethans]]></copyright></init>

<- feature_set -i 0 -n show_hidden -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="0" feature="show_hidden" success="1"></response>

<- feature_set -i 1 -n max_depth -v 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="1" feature="max_depth" success="1"></response>

<- feature_set -i 2 -n max_children -v 100
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="feature_set" transaction_id="2" feature="max_children" success="1"></response>

<- status -i 3
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="status" transaction_id="3" status="starting" reason="ok"></response>

<- step_into -i 4
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="step_into" transaction_id="4" status="break" reason="ok"><xdebug:message filename="file:///home/root/www/compsafedev3/warp.php" lineno="30"></xdebug:message></response>

<- eval -i 5 -- aXNzZXQoJF9TRVJWRVJbJ1BIUF9JREVfQ09ORklHJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="5"><property address="140728450173408" type="bool"><![CDATA[0]]></property></response>

<- eval -i 6 -- aXNzZXQoJF9TRVJWRVJbJ1NFUlZFUl9OQU1FJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="6"><property address="140728450173408" type="bool"><![CDATA[1]]></property></response>

<- eval -i 7 -- KHN0cmluZykoJF9TRVJWRVJbJ1NFUlZFUl9OQU1FJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="7"><property address="140728450173408" type="string" size="30" encoding="base64"><![CDATA[bG9jYWxkZXYzLmF0bGFudGljdHJhaW5pbmcuY29t]]></property></response>

<- eval -i 8 -- KHN0cmluZykoJF9TRVJWRVJbJ1NFUlZFUl9QT1JUJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="8"><property address="140728450173408" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property></response>

<- eval -i 9 -- KHN0cmluZykoJF9TRVJWRVJbJ1JFUVVFU1RfVVJJJ10p
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="eval" transaction_id="9"><property address="140728450173408" type="string" size="36" encoding="base64"><![CDATA[L3Nob3AvY2FzZm9ybXMvcmVnaXN0ZXJ0b3dhdGNoL3Bvc3Qv]]></property></response>

<- breakpoint_set -i 10 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 82
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="10" id="97820001"></response>

<- breakpoint_set -i 11 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 90
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="11" id="97820002"></response>

<- breakpoint_set -i 12 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 80
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="12" id="97820003"></response>

<- breakpoint_set -i 13 -t line -f file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php -n 89
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="breakpoint_set" transaction_id="13" id="97820004"></response>

<- stack_get -i 14
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="14"><stack where="{main}" level="0" type="file" filename="file:///home/root/www/compsafedev3/warp.php" lineno="30"></stack></response>

<- run -i 15
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="run" transaction_id="15" status="break" reason="ok"><xdebug:message filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php" lineno="80"></xdebug:message></response>

<- stack_get -i 16
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="stack_get" transaction_id="16"><stack where="Unirgy_Dropship_Helper_Data-&gt;isActive" level="0" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Helper/Data.php" lineno="80"></stack><stack where="Unirgy_Dropship_Model_Stock_Item-&gt;getAlwaysInStock" level="1" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Model/Stock/Item.php" lineno="35"></stack><stack where="Unirgy_Dropship_Model_Stock_Item-&gt;getIsInStock" level="2" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Model/Stock/Item.php" lineno="61"></stack><stack where="Mage_CatalogInventory_Model_Stock_Item-&gt;assignProduct" level="3" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/CatalogInventory/Model/Stock/Item.php" lineno="273"></stack><stack where="Unirgy_Dropship_Model_Stock_Item-&gt;assignProduct" level="4" type="file" filename="file:///home/root/www/compsafedev3/app/code/community/Unirgy/Dropship/Model/Stock/Item.php" lineno="89"></stack><stack where="Mage_CatalogInventory_Model_Observer-&gt;addInventoryData" level="5" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/CatalogInventory/Model/Observer.php" lineno="78"></stack><stack where="Mage_Core_Model_App-&gt;_callObserverMethod" level="6" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/App.php" lineno="1338"></stack><stack where="Mage_Core_Model_App-&gt;dispatchEvent" level="7" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/App.php" lineno="1317"></stack><stack where="Mage::dispatchEvent" level="8" type="file" filename="file:///home/root/www/compsafedev3/app/Mage.php" lineno="447"></stack><stack where="Mage_Core_Model_Abstract-&gt;_afterLoad" level="9" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/Abstract.php" lineno="267"></stack><stack where="Mage_Catalog_Model_Product-&gt;_afterLoad" level="10" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Catalog/Model/Product.php" lineno="592"></stack><stack where="Mage_Core_Model_Abstract-&gt;load" level="11" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/Abstract.php" lineno="226"></stack><stack where="ComplianceAndSafety_Forms_RegistertowatchController-&gt;postAction" level="12" type="file" filename="file:///home/root/www/compsafedev3/app/code/local/ComplianceAndSafety/Forms/controllers/RegistertowatchController.php" lineno="116"></stack><stack where="Mage_Core_Controller_Varien_Action-&gt;dispatch" level="13" type="file" filename="file:///home/root/www/compsafedev3/app/code/local/Mage/Core/Controller/Varien/Action.php" lineno="419"></stack><stack where="Mage_Core_Controller_Varien_Router_Standard-&gt;match" level="14" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Controller/Varien/Router/Standard.php" lineno="254"></stack><stack where="Mage_Core_Controller_Varien_Front-&gt;dispatch" level="15" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Controller/Varien/Front.php" lineno="176"></stack><stack where="Mage_Core_Model_App-&gt;run" level="16" type="file" filename="file:///home/root/www/compsafedev3/app/code/core/Mage/Core/Model/App.php" lineno="354"></stack><stack where="Mage::run" level="17" type="file" filename="file:///home/root/www/compsafedev3/app/Mage.php" lineno="683"></stack><stack where="include_once" level="18" type="file" filename="file:///home/root/www/compsafedev3/index.php" lineno="104"></stack><stack where="{main}" level="19" type="file" filename="file:///home/root/www/compsafedev3/warp.php" lineno="44"></stack></response>

<- context_names -i 17 -d 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_names" transaction_id="17"><context name="Locals" id="0"></context><context name="Superglobals" id="1"></context><context name="User defined constants" id="2"></context></response>

<- context_get -i 18 -d 0 -c 0
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="18" context="0"><property name="$e" fullname="$e" type="uninitialized"></property><property name="$store" fullname="$store" address="94478564729920" type="object" classname="Mage_Core_Model_Store" children="1" numchildren="29" page="0" pagesize="100"><property name="_underscoreCache" fullname="$store::_underscoreCache" facet="static protected" address="94478615201376" type="array" children="1" numchildren="31"></property><property name="_cacheTag" fullname="$store-&gt;_cacheTag" facet="protected" address="94478611753960" type="bool"><![CDATA[1]]></property><property name="_eventPrefix" fullname="$store-&gt;_eventPrefix" facet="protected" address="94478611754208" type="string" size="5" encoding="base64"><![CDATA[c3RvcmU=]]></property><property name="_eventObject" fullname="$store-&gt;_eventObject" facet="protected" address="94478611754536" type="string" size="5" encoding="base64"><![CDATA[c3RvcmU=]]></property><property name="_priceFilter" fullname="$store-&gt;_priceFilter" facet="protected" address="94478611754752" type="null"></property><property name="_website" fullname="$store-&gt;_website" facet="protected" address="94478564735984" type="object" classname="Mage_Core_Model_Website" children="1" numchildren="28"></property><property name="_group" fullname="$store-&gt;_group" facet="protected" address="94478564747664" type="object" classname="Mage_Core_Model_Store_Group" children="1" numchildren="23"></property><property name="_configCache" fullname="$store-&gt;_configCache" facet="protected" address="94478564750120" type="array" children="1" numchildren="69"></property><property name="_configCacheBaseNodes" fullname="$store-&gt;_configCacheBaseNodes" facet="protected" address="94478564732352" type="array" children="1" numchildren="10"></property><property name="_dirCache" fullname="$store-&gt;_dirCache" facet="protected" address="94478611756224" type="array" children="0" numchildren="0"></property><property name="_urlCache" fullname="$store-&gt;_urlCache" facet="protected" address="94478611756872" type="array" children="0" numchildren="0"></property><property name="_baseUrlCache" fullname="$store-&gt;_baseUrlCache" facet="protected" address="94478572902200" type="array" children="1" numchildren="2"></property><property name="_session" fullname="$store-&gt;_session" facet="protected" address="94478611757608" type="null"></property><property name="_isAdminSecure" fullname="$store-&gt;_isAdminSecure" facet="protected" address="94478611758048" type="null"></property><property name="_isFrontSecure" fullname="$store-&gt;_isFrontSecure" facet="protected" address="94478611758384" type="null"></property><property name="_frontendName" fullname="$store-&gt;_frontendName" facet="protected" address="94478611758688" type="null"></property><property name="_isReadOnly" fullname="$store-&gt;_isReadOnly" facet="private" address="94478611758984" type="bool"><![CDATA[0]]></property><property name="_resourceName" fullname="$store-&gt;_resourceName" facet="protected" address="94478564730504" type="string" size="10" encoding="base64"><![CDATA[Y29yZS9zdG9yZQ==]]></property><property name="_resource" fullname="$store-&gt;_resource" facet="protected" address="94478613903976" type="null"></property><property name="_resourceCollectionName" fullname="$store-&gt;_resourceCollectionName" facet="protected" address="94478564730640" type="string" size="21" encoding="base64"><![CDATA[Y29yZS9zdG9yZV9jb2xsZWN0aW9u]]></property><property name="_dataSaveAllowed" fullname="$store-&gt;_dataSaveAllowed" facet="protected" address="94478614606112" type="bool"><![CDATA[1]]></property><property name="_isObjectNew" fullname="$store-&gt;_isObjectNew" facet="protected" address="94478614606488" type="null"></property><property name="_data" fullname="$store-&gt;_data" facet="protected" address="94478564730456" type="array" children="1" numchildren="7"></property><property name="_hasDataChanges" fullname="$store-&gt;_hasDataChanges" facet="protected" address="94478564732448" type="bool"><![CDATA[1]]></property><property name="_origData" fullname="$store-&gt;_origData" facet="protected" address="94478564730456" type="array" children="1" numchildren="7"></property><property name="_idFieldName" fullname="$store-&gt;_idFieldName" facet="protected" address="94478613435984" type="null"></property><property name="_isDeleted" fullname="$store-&gt;_isDeleted" facet="protected" address="94478604317784" type="bool"><![CDATA[0]]></property><property name="_oldFieldsMap" fullname="$store-&gt;_oldFieldsMap" facet="protected" address="94478615202376" type="array" children="0" numchildren="0"></property><property name="_syncFieldsMap" fullname="$store-&gt;_syncFieldsMap" facet="protected" address="94478604318344" type="array" children="0" numchildren="0"></property></property><property name="$storeId" fullname="$storeId" address="94478564720936" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="$udropship" fullname="$udropship" type="uninitialized"></property><property name="$udsplit" fullname="$udsplit" type="uninitialized"></property><property name="$this" fullname="$this" address="94478609435304" type="object" classname="Unirgy_Dropship_Helper_Data" children="1" numchildren="27" page="0" pagesize="100"><property name="_dtlIps" fullname="$this::_dtlIps" facet="static protected" address="94478609442840" type="array" children="1" numchildren="2"></property><property name="_vendors" fullname="$this-&gt;_vendors" facet="protected" address="94478609404056" type="array" children="0" numchildren="0"></property><property name="_regions" fullname="$this-&gt;_regions" facet="protected" address="94478609403336" type="array" children="0" numchildren="0"></property><property name="_trueStock" fullname="$this-&gt;_trueStock" facet="protected" address="94478609402280" type="bool"><![CDATA[0]]></property><property name="_vendorShipmentCollection" fullname="$this-&gt;_vendorShipmentCollection" facet="protected" address="94478609434920" type="null"></property><property name="_carrierMethods" fullname="$this-&gt;_carrierMethods" facet="protected" address="94478609403624" type="array" children="0" numchildren="0"></property><property name="_version" fullname="$this-&gt;_version" facet="protected" address="94478609435064" type="null"></property><property name="_localVendorId" fullname="$this-&gt;_localVendorId" facet="protected" address="94478609442936" type="string" size="1" encoding="base64"><![CDATA[Mg==]]></property><property name="_isActive" fullname="$this-&gt;_isActive" facet="protected" address="94478609434872" type="null"></property><property name="_storeOrigin" fullname="$this-&gt;_storeOrigin" facet="protected" address="94478567391456" type="array" children="0" numchildren="0"></property><property name="_store" fullname="$this-&gt;_store" facet="protected" address="94478567391312" type="null"></property><property name="_oldStore" fullname="$this-&gt;_oldStore" facet="protected" address="94478609431656" type="null"></property><property name="_oldArea" fullname="$this-&gt;_oldArea" facet="protected" address="94478609431608" type="null"></property><property name="_oldDesign" fullname="$this-&gt;_oldDesign" facet="protected" address="94478609431560" type="null"></property><property name="_queue" fullname="$this-&gt;_queue" facet="protected" address="94478609431368" type="array" children="0" numchildren="0"></property><property name="_shippingMethods" fullname="$this-&gt;_shippingMethods" facet="protected" address="94478567632376" type="null"></property><property name="_systemShippingMethods" fullname="$this-&gt;_systemShippingMethods" facet="protected" address="94478609436456" type="null"></property><property name="_multiSystemShippingMethods" fullname="$this-&gt;_multiSystemShippingMethods" facet="protected" address="94478609436696" type="null"></property><property name="_hasMageFeature" fullname="$this-&gt;_hasMageFeature" facet="protected" address="94478609437032" type="array" children="0" numchildren="0"></property><property name="_shipmentComments" fullname="$this-&gt;_shipmentComments" facet="protected" address="94478609438568" type="array" children="0" numchildren="0"></property><property name="_emptyStatementTotalsAmount" fullname="$this-&gt;_emptyStatementTotalsAmount" facet="protected" address="94478609439864" type="array" children="1" numchildren="8"></property><property name="_emptyStatementCalcTotalsAmount" fullname="$this-&gt;_emptyStatementCalcTotalsAmount" facet="protected" address="94478609440008" type="array" children="1" numchildren="1"></property><property name="_emptyStatementCalcTotals" fullname="$this-&gt;_emptyStatementCalcTotals" facet="protected" address="94478609440056" type="null"></property><property name="_emptyStatementTotals" fullname="$this-&gt;_emptyStatementTotals" facet="protected" address="94478567859288" type="null"></property><property name="_moduleName" fullname="$this-&gt;_moduleName" facet="protected" address="94478582116408" type="null"></property><property name="_request" fullname="$this-&gt;_request" facet="protected" address="94478582116360" type="null"></property><property name="_layout" fullname="$this-&gt;_layout" facet="protected" address="94478582116456" type="null"></property></property></response>

<- context_get -i 19 -d 0 -c 1
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="19" context="1"><property name="$_COOKIE" fullname="$_COOKIE" address="140183231643880" type="array" children="1" numchildren="12" page="0" pagesize="100"><property name="srch_bar_tt" fullname="$_COOKIE[&#39;srch_bar_tt&#39;]" address="140183231651744" type="string" size="1" encoding="base64"><![CDATA[MA==]]></property><property name="__utma" fullname="$_COOKIE[&#39;__utma&#39;]" address="140183231652256" type="string" size="53" encoding="base64"><![CDATA[NzIyNjU0My4xNDI0MTk0MDE0LjE0Mzk4MTYzNTkuMTQzOTgyMjIwOS4xNDM5ODMxMzY1LjM=]]></property><property name="__utmc" fullname="$_COOKIE[&#39;__utmc&#39;]" address="140183231652608" type="string" size="7" encoding="base64"><![CDATA[NzIyNjU0Mw==]]></property><property name="__utmz" fullname="$_COOKIE[&#39;__utmz&#39;]" address="140183231653160" type="string" size="68" encoding="base64"><![CDATA[NzIyNjU0My4xNDM5ODE2MzU5LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk=]]></property><property name="__ctmid" fullname="$_COOKIE[&#39;__ctmid&#39;]" address="140183231653592" type="string" size="24" encoding="base64"><![CDATA[NTVkMWZhMGUwMDA0Mzk2NDVlMDRiZmMx]]></property><property name="__lc_visitor_id_5881141" fullname="$_COOKIE[&#39;__lc_visitor_id_5881141&#39;]" address="140183231653928" type="string" size="22" encoding="base64"><![CDATA[UzE0MzE3NTgzODguYTg5MDRlZjAwYw==]]></property><property name="lc_window_state" fullname="$_COOKIE[&#39;lc_window_state&#39;]" address="140183231654304" type="string" size="9" encoding="base64"><![CDATA[bWluaW1pemVk]]></property><property name="frontend" fullname="$_COOKIE[&#39;frontend&#39;]" address="140183231654752" type="string" size="26" encoding="base64"><![CDATA[bG9iYmVxbTVpOTRqY2lqdjQ3b2twYjQ1azE=]]></property><property name="__utmb" fullname="$_COOKIE[&#39;__utmb&#39;]" address="140183231655288" type="string" size="25" encoding="base64"><![CDATA[NzIyNjU0My43LjkuMTQzOTgzNDc2MTcxMg==]]></property><property name="external_no_cache" fullname="$_COOKIE[&#39;external_no_cache&#39;]" address="140183231655752" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="__utmt" fullname="$_COOKIE[&#39;__utmt&#39;]" address="140183231656120" type="string" size="1" encoding="base64"><![CDATA[MQ==]]></property><property name="XDEBUG_SESSION" fullname="$_COOKIE[&#39;XDEBUG_SESSION&#39;]" address="140183231656480" type="string" size="8" encoding="base64"><![CDATA[UEhQU1RPUk0=]]></property></property><property name="$_ENV" fullname="$_ENV" address="140183231675920" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_FILES" fullname="$_FILES" address="140183231644016" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_GET" fullname="$_GET" address="140183231642992" type="array" children="0" numchildren="0" page="0" pagesize="100"></property><property name="$_POST" fullname="$_POST" address="140183231643744" type="array" children="1" numchildren="14" page="0" pagesize="100"><property name="product_id" fullname="$_POST[&#39;product_id&#39;]" address="140183231645088" type="string" size="3" encoding="base64"><![CDATA[OTg5]]></property><property name="action" fullname="$_POST[&#39;action&#39;]" address="140183231645528" type="string" size="4" encoding="base64"><![CDATA[UGxheQ==]]></property><property name="action_label" fullname="$_POST[&#39;action_label&#39;]" address="140183231646016" type="string" size="43" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIERWRA==]]></property><property name="action_label_src" fullname="$_POST[&#39;action_label_src&#39;]" address="140183231646792" type="string" size="125" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9tZWRpYS9jYXRhbG9nL3Byb2R1Y3QvY2FjaGUvMS9pbWFnZS8yMjB4MjIwLzA0MGVjMDliMWUzNWRmMTM5NDMzODg3YTk3ZGFhNjZmLzcvNy83Ny5qcGc=]]></property><property name="action_target" fullname="$_POST[&#39;action_target&#39;]" address="140183231647256" type="string" size="31" encoding="base64"><![CDATA[Ly92aWV3LnZ6YWFyLmNvbS80MDkxMDIyL3BsYXllcg==]]></property><property name="source_url" fullname="$_POST[&#39;source_url&#39;]" address="140183231647928" type="string" size="96" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9zaG9wL2V5ZS1zYWZldHktaW4tY29uc3RydWN0aW9uLWVudmlyb25tZW50cy1kdmQtMTMwOS5odG1s]]></property><property name="page_title" fullname="$_POST[&#39;page_title&#39;]" address="140183231648496" type="string" size="64" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIFRyYWluaW5nIFZpZGVvIGJ5IE1hcmNvbQ==]]></property><property name="cms_url_key" fullname="$_POST[&#39;cms_url_key&#39;]" address="140183231648832" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="comments" fullname="$_POST[&#39;comments&#39;]" address="140183231649312" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="name" fullname="$_POST[&#39;name&#39;]" address="140183231649816" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="company_name" fullname="$_POST[&#39;company_name&#39;]" address="140183231650176" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="email" fullname="$_POST[&#39;email&#39;]" address="140183231650544" type="string" size="14" encoding="base64"><![CDATA[dGVzdEBhbm9yYi5jb20=]]></property><property name="phone" fullname="$_POST[&#39;phone&#39;]" address="140183231650928" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="details" fullname="$_POST[&#39;details&#39;]" address="140183231651248" type="string" size="0" encoding="base64"><![CDATA[]]></property></property><property name="$_REQUEST" fullname="$_REQUEST" address="140183231674272" type="array" children="1" numchildren="14" page="0" pagesize="100"><property name="product_id" fullname="$_REQUEST[&#39;product_id&#39;]" address="140183231645088" type="string" size="3" encoding="base64"><![CDATA[OTg5]]></property><property name="action" fullname="$_REQUEST[&#39;action&#39;]" address="140183231645528" type="string" size="4" encoding="base64"><![CDATA[UGxheQ==]]></property><property name="action_label" fullname="$_REQUEST[&#39;action_label&#39;]" address="140183231646016" type="string" size="43" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIERWRA==]]></property><property name="action_label_src" fullname="$_REQUEST[&#39;action_label_src&#39;]" address="140183231646792" type="string" size="125" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9tZWRpYS9jYXRhbG9nL3Byb2R1Y3QvY2FjaGUvMS9pbWFnZS8yMjB4MjIwLzA0MGVjMDliMWUzNWRmMTM5NDMzODg3YTk3ZGFhNjZmLzcvNy83Ny5qcGc=]]></property><property name="action_target" fullname="$_REQUEST[&#39;action_target&#39;]" address="140183231647256" type="string" size="31" encoding="base64"><![CDATA[Ly92aWV3LnZ6YWFyLmNvbS80MDkxMDIyL3BsYXllcg==]]></property><property name="source_url" fullname="$_REQUEST[&#39;source_url&#39;]" address="140183231647928" type="string" size="96" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9zaG9wL2V5ZS1zYWZldHktaW4tY29uc3RydWN0aW9uLWVudmlyb25tZW50cy1kdmQtMTMwOS5odG1s]]></property><property name="page_title" fullname="$_REQUEST[&#39;page_title&#39;]" address="140183231648496" type="string" size="64" encoding="base64"><![CDATA[RXllIFNhZmV0eSBpbiBDb25zdHJ1Y3Rpb24gRW52aXJvbm1lbnRzIFRyYWluaW5nIFZpZGVvIGJ5IE1hcmNvbQ==]]></property><property name="cms_url_key" fullname="$_REQUEST[&#39;cms_url_key&#39;]" address="140183231648832" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="comments" fullname="$_REQUEST[&#39;comments&#39;]" address="140183231649312" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="name" fullname="$_REQUEST[&#39;name&#39;]" address="140183231649816" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="company_name" fullname="$_REQUEST[&#39;company_name&#39;]" address="140183231650176" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="email" fullname="$_REQUEST[&#39;email&#39;]" address="140183231650544" type="string" size="14" encoding="base64"><![CDATA[dGVzdEBhbm9yYi5jb20=]]></property><property name="phone" fullname="$_REQUEST[&#39;phone&#39;]" address="140183231650928" type="string" size="4" encoding="base64"><![CDATA[dGVzdA==]]></property><property name="details" fullname="$_REQUEST[&#39;details&#39;]" address="140183231651248" type="string" size="0" encoding="base64"><![CDATA[]]></property></property><property name="$_SERVER" fullname="$_SERVER" address="140183231644240" type="array" children="1" numchildren="39" page="0" pagesize="100"><property name="REDIRECT_UNIQUE_ID" fullname="$_SERVER[&#39;REDIRECT_UNIQUE_ID&#39;]" address="140183231656792" type="string" size="27" encoding="base64"><![CDATA[VmRJaTVselhLSVBSSHVuNmgyZDU2QUFBQUFZ]]></property><property name="REDIRECT_HTTP_AUTHORIZATION" fullname="$_SERVER[&#39;REDIRECT_HTTP_AUTHORIZATION&#39;]" address="140183231657152" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REDIRECT_STATUS" fullname="$_SERVER[&#39;REDIRECT_STATUS&#39;]" address="140183231657536" type="string" size="3" encoding="base64"><![CDATA[MjAw]]></property><property name="UNIQUE_ID" fullname="$_SERVER[&#39;UNIQUE_ID&#39;]" address="140183231657936" type="string" size="27" encoding="base64"><![CDATA[VmRJaTVselhLSVBSSHVuNmgyZDU2QUFBQUFZ]]></property><property name="HTTP_AUTHORIZATION" fullname="$_SERVER[&#39;HTTP_AUTHORIZATION&#39;]" address="140183231658280" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="HTTP_HOST" fullname="$_SERVER[&#39;HTTP_HOST&#39;]" address="140183231658688" type="string" size="30" encoding="base64"><![CDATA[bG9jYWxkZXYzLmF0bGFudGljdHJhaW5pbmcuY29t]]></property><property name="HTTP_USER_AGENT" fullname="$_SERVER[&#39;HTTP_USER_AGENT&#39;]" address="140183231659184" type="string" size="72" encoding="base64"><![CDATA[TW96aWxsYS81LjAgKFdpbmRvd3MgTlQgNi4xOyBXT1c2NDsgcnY6NDAuMCkgR2Vja28vMjAxMDAxMDEgRmlyZWZveC80MC4w]]></property><property name="HTTP_ACCEPT" fullname="$_SERVER[&#39;HTTP_ACCEPT&#39;]" address="140183231659648" type="string" size="63" encoding="base64"><![CDATA[dGV4dC9odG1sLGFwcGxpY2F0aW9uL3hodG1sK3htbCxhcHBsaWNhdGlvbi94bWw7cT0wLjksKi8qO3E9MC44]]></property><property name="HTTP_ACCEPT_LANGUAGE" fullname="$_SERVER[&#39;HTTP_ACCEPT_LANGUAGE&#39;]" address="140183231660168" type="string" size="14" encoding="base64"><![CDATA[ZW4tVVMsZW47cT0wLjU=]]></property><property name="HTTP_ACCEPT_ENCODING" fullname="$_SERVER[&#39;HTTP_ACCEPT_ENCODING&#39;]" address="140183231660696" type="string" size="13" encoding="base64"><![CDATA[Z3ppcCwgZGVmbGF0ZQ==]]></property><property name="HTTP_REFERER" fullname="$_SERVER[&#39;HTTP_REFERER&#39;]" address="140183231661184" type="string" size="67" encoding="base64"><![CDATA[aHR0cDovL2xvY2FsZGV2My5hdGxhbnRpY3RyYWluaW5nLmNvbS9zaG9wL2Nhc2Zvcm1zL3JlZ2lzdGVydG93YXRjaA==]]></property><property name="HTTP_COOKIE" fullname="$_SERVER[&#39;HTTP_COOKIE&#39;]" address="140183231662656" type="string" size="564" encoding="base64"><![CDATA[c3JjaF9iYXJfdHQ9MDsgX191dG1hPTcyMjY1NDMuMTQyNDE5NDAxNC4xNDM5ODE2MzU5LjE0Mzk4MjIyMDkuMTQzOTgzMTM2NS4zOyBfX3V0bWM9NzIyNjU0MzsgX191dG16PTcyMjY1NDMuMTQzOTgxNjM1OS4xLjEudXRtY3NyPShkaXJlY3QpfHV0bWNjbj0oZGlyZWN0KXx1dG1jbWQ9KG5vbmUpOyBfX2N0bWlkPTU1ZDFmYTBlMDAwNDM5NjQ1ZTA0YmZjMTsgX191dG1hPTIxMzk3MTM5OS4yODY1ODk1NzcuMTQzOTgyNDM5OC4xNDM5ODI0Mzk4LjE0Mzk4MjQzOTguMTsgX191dG1jPTIxMzk3MTM5OTsgX191dG16PTIxMzk3MTM5OS4xNDM5ODI0Mzk4LjEuMS51dG1jc3I9KGRpcmVjdCl8dXRtY2NuPShkaXJlY3QpfHV0bWNtZD0obm9uZSk7IF9fbGMudmlzaXRvcl9pZC41ODgxMTQxPVMxNDMxNzU4Mzg4LmE4OTA0ZWYwMGM7IGxjX3dpbmRvd19zdGF0ZT1taW5pbWl6ZWQ7IGZyb250ZW5kPWxvYmJlcW01aTk0amNpanY0N29rcGI0NWsxOyBfX3V0bWI9NzIyNjU0My43LjkuMTQzOTgzNDc2MTcxMjsgZXh0ZXJuYWxfbm9fY2FjaGU9MTsgX191dG10PTE7IFhERUJVR19TRVNTSU9OPVBIUFNUT1JN]]></property><property name="HTTP_CONNECTION" fullname="$_SERVER[&#39;HTTP_CONNECTION&#39;]" address="140183231663024" type="string" size="10" encoding="base64"><![CDATA[a2VlcC1hbGl2ZQ==]]></property><property name="CONTENT_TYPE" fullname="$_SERVER[&#39;CONTENT_TYPE&#39;]" address="140183231663328" type="string" size="33" encoding="base64"><![CDATA[YXBwbGljYXRpb24veC13d3ctZm9ybS11cmxlbmNvZGVk]]></property><property name="CONTENT_LENGTH" fullname="$_SERVER[&#39;CONTENT_LENGTH&#39;]" address="140183231663696" type="string" size="3" encoding="base64"><![CDATA[NTk2]]></property><property name="PATH" fullname="$_SERVER[&#39;PATH&#39;]" address="140183231664064" type="string" size="49" encoding="base64"><![CDATA[L3Vzci9sb2NhbC9zYmluOi91c3IvbG9jYWwvYmluOi91c3Ivc2JpbjovdXNyL2Jpbg==]]></property><property name="SERVER_SIGNATURE" fullname="$_SERVER[&#39;SERVER_SIGNATURE&#39;]" address="140183231664672" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="SERVER_SOFTWARE" fullname="$_SERVER[&#39;SERVER_SOFTWARE&#39;]" address="140183231665464" type="string" size="81" encoding="base64"><![CDATA[QXBhY2hlLzIuNC4xNiAoRmVkb3JhKSBPcGVuU1NMLzEuMC4xay1maXBzIFBIUC81LjYuMTEgbW9kX3BlcmwvMi4wLjkgUGVybC92NS4yMC4y]]></property><property name="SERVER_NAME" fullname="$_SERVER[&#39;SERVER_NAME&#39;]" address="140183231665864" type="string" size="30" encoding="base64"><![CDATA[bG9jYWxkZXYzLmF0bGFudGljdHJhaW5pbmcuY29t]]></property><property name="SERVER_ADDR" fullname="$_SERVER[&#39;SERVER_ADDR&#39;]" address="140183231666232" type="string" size="13" encoding="base64"><![CDATA[MTkyLjE2OC4xLjEyNA==]]></property><property name="SERVER_PORT" fullname="$_SERVER[&#39;SERVER_PORT&#39;]" address="140183231666600" type="string" size="2" encoding="base64"><![CDATA[ODA=]]></property><property name="REMOTE_ADDR" fullname="$_SERVER[&#39;REMOTE_ADDR&#39;]" address="140183231666968" type="string" size="12" encoding="base64"><![CDATA[MTkyLjE2OC4xLjMz]]></property><property name="DOCUMENT_ROOT" fullname="$_SERVER[&#39;DOCUMENT_ROOT&#39;]" address="140183231667368" type="string" size="27" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property><property name="REQUEST_SCHEME" fullname="$_SERVER[&#39;REQUEST_SCHEME&#39;]" address="140183231667736" type="string" size="4" encoding="base64"><![CDATA[aHR0cA==]]></property><property name="CONTEXT_PREFIX" fullname="$_SERVER[&#39;CONTEXT_PREFIX&#39;]" address="140183231668072" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="CONTEXT_DOCUMENT_ROOT" fullname="$_SERVER[&#39;CONTEXT_DOCUMENT_ROOT&#39;]" address="140183231668480" type="string" size="27" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property><property name="SERVER_ADMIN" fullname="$_SERVER[&#39;SERVER_ADMIN&#39;]" address="140183231668856" type="string" size="14" encoding="base64"><![CDATA[cm9vdEBsb2NhbGhvc3Q=]]></property><property name="SCRIPT_FILENAME" fullname="$_SERVER[&#39;SCRIPT_FILENAME&#39;]" address="140183231669272" type="string" size="36" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL3dhcnAucGhw]]></property><property name="REMOTE_PORT" fullname="$_SERVER[&#39;REMOTE_PORT&#39;]" address="140183231669640" type="string" size="5" encoding="base64"><![CDATA[NTM0NDk=]]></property><property name="REDIRECT_URL" fullname="$_SERVER[&#39;REDIRECT_URL&#39;]" address="140183231670056" type="string" size="36" encoding="base64"><![CDATA[L3Nob3AvY2FzZm9ybXMvcmVnaXN0ZXJ0b3dhdGNoL3Bvc3Qv]]></property><property name="GATEWAY_INTERFACE" fullname="$_SERVER[&#39;GATEWAY_INTERFACE&#39;]" address="140183231670432" type="string" size="7" encoding="base64"><![CDATA[Q0dJLzEuMQ==]]></property><property name="SERVER_PROTOCOL" fullname="$_SERVER[&#39;SERVER_PROTOCOL&#39;]" address="140183231670808" type="string" size="8" encoding="base64"><![CDATA[SFRUUC8xLjE=]]></property><property name="REQUEST_METHOD" fullname="$_SERVER[&#39;REQUEST_METHOD&#39;]" address="140183231671704" type="string" size="4" encoding="base64"><![CDATA[UE9TVA==]]></property><property name="QUERY_STRING" fullname="$_SERVER[&#39;QUERY_STRING&#39;]" address="140183231672568" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="REQUEST_URI" fullname="$_SERVER[&#39;REQUEST_URI&#39;]" address="140183231672984" type="string" size="36" encoding="base64"><![CDATA[L3Nob3AvY2FzZm9ybXMvcmVnaXN0ZXJ0b3dhdGNoL3Bvc3Qv]]></property><property name="SCRIPT_NAME" fullname="$_SERVER[&#39;SCRIPT_NAME&#39;]" address="140183231673352" type="string" size="9" encoding="base64"><![CDATA[L3dhcnAucGhw]]></property><property name="PHP_SELF" fullname="$_SERVER[&#39;PHP_SELF&#39;]" address="140183231673720" type="string" size="9" encoding="base64"><![CDATA[L3dhcnAucGhw]]></property><property name="REQUEST_TIME_FLOAT" fullname="$_SERVER[&#39;REQUEST_TIME_FLOAT&#39;]" address="140183231673872" type="float"><![CDATA[1439834854.564]]></property><property name="REQUEST_TIME" fullname="$_SERVER[&#39;REQUEST_TIME&#39;]" address="140183231674032" type="int"><![CDATA[1439834854]]></property></property><property name="$_SESSION" fullname="$_SESSION" address="94478573660824" type="array" children="1" numchildren="7" page="0" pagesize="100"><property name="core" fullname="$_SESSION[&#39;core&#39;]" address="94478573110760" type="array" children="1" numchildren="4"></property><property name="customer_base" fullname="$_SESSION[&#39;customer_base&#39;]" address="94478573158344" type="array" children="1" numchildren="3"></property><property name="catalog" fullname="$_SESSION[&#39;catalog&#39;]" address="94478572901656" type="array" children="1" numchildren="6"></property><property name="checkout" fullname="$_SESSION[&#39;checkout&#39;]" address="94478572893360" type="array" children="1" numchildren="3"></property><property name="store_shop" fullname="$_SESSION[&#39;store_shop&#39;]" address="94478573159800" type="array" children="1" numchildren="2"></property><property name="reports" fullname="$_SESSION[&#39;reports&#39;]" address="94478573607536" type="array" children="1" numchildren="4"></property><property name="tag" fullname="$_SESSION[&#39;tag&#39;]" address="94478573608064" type="array" children="1" numchildren="3"></property></property><property name="$GLOBALS" fullname="$GLOBALS" address="140183231676144" type="array" children="1" numchildren="17" page="0" pagesize="100"><property name="_GET" fullname="$GLOBALS[&#39;_GET&#39;]" address="140183231642992" type="array" children="0" numchildren="0"></property><property name="_POST" fullname="$GLOBALS[&#39;_POST&#39;]" address="140183231643744" type="array" children="1" numchildren="14"></property><property name="_COOKIE" fullname="$GLOBALS[&#39;_COOKIE&#39;]" address="140183231643880" type="array" children="1" numchildren="12"></property><property name="_FILES" fullname="$GLOBALS[&#39;_FILES&#39;]" address="140183231644016" type="array" children="0" numchildren="0"></property><property name="_SERVER" fullname="$GLOBALS[&#39;_SERVER&#39;]" address="140183231644240" type="array" children="1" numchildren="39"></property><property name="_REQUEST" fullname="$GLOBALS[&#39;_REQUEST&#39;]" address="140183231674272" type="array" children="1" numchildren="14"></property><property name="_ENV" fullname="$GLOBALS[&#39;_ENV&#39;]" address="140183231675920" type="array" children="0" numchildren="0"></property><property name="GLOBALS" fullname="$GLOBALS[&#39;GLOBALS&#39;]" address="140183231676144" type="array" children="1" recursive="1"></property><property name="paths" fullname="$GLOBALS[&#39;paths&#39;]" address="94478582275344" type="array" children="1" numchildren="4"></property><property name="appPath" fullname="$GLOBALS[&#39;appPath&#39;]" address="94478582276320" type="string" size="163" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2FwcC9jb2RlL2xvY2FsOi9ob21lL3Jvb3Qvd3d3L2NvbXBzYWZlZGV2My9hcHAvY29kZS9jb21tdW5pdHk6L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2FwcC9jb2RlL2NvcmU6L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2xpYg==]]></property><property name="excludeWarp" fullname="$GLOBALS[&#39;excludeWarp&#39;]" address="94478582351976" type="bool"><![CDATA[0]]></property><property name="compilerConfig" fullname="$GLOBALS[&#39;compilerConfig&#39;]" address="94478564641816" type="string" size="47" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2luY2x1ZGVzL2NvbmZpZy5waHA=]]></property><property name="mageFilename" fullname="$GLOBALS[&#39;mageFilename&#39;]" address="94478564624704" type="string" size="40" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYzL2FwcC9NYWdlLnBocA==]]></property><property name="maintenanceFile" fullname="$GLOBALS[&#39;maintenanceFile&#39;]" address="94478564673088" type="string" size="16" encoding="base64"><![CDATA[bWFpbnRlbmFuY2UuZmxhZw==]]></property><property name="mageRunCode" fullname="$GLOBALS[&#39;mageRunCode&#39;]" address="94478564638280" type="string" size="0" encoding="base64"><![CDATA[]]></property><property name="mageRunType" fullname="$GLOBALS[&#39;mageRunType&#39;]" address="94478564645216" type="string" size="5" encoding="base64"><![CDATA[c3RvcmU=]]></property><property name="_SESSION" fullname="$GLOBALS[&#39;_SESSION&#39;]" address="94478573660824" type="array" children="1" numchildren="7"></property></property></response>

<- context_get -i 20 -d 0 -c 2
-> <response xmlns="urn:debugger_protocol_v1" xmlns:xdebug="http://xdebug.org/dbgp/xdebug" command="context_get" transaction_id="20" context="2"><property name="DS" fullname="DS" address="94478616791552" type="string" size="1" facet="constant" encoding="base64"><![CDATA[Lw==]]></property><property name="PS" fullname="PS" address="94478613857488" type="string" size="1" facet="constant" encoding="base64"><![CDATA[Og==]]></property><property name="BP" fullname="BP" address="94478604371312" type="string" size="27" facet="constant" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property><property name="MAGENTO_ROOT" fullname="MAGENTO_ROOT" address="94478563995104" type="string" size="27" facet="constant" encoding="base64"><![CDATA[L2hvbWUvcm9vdC93d3cvY29tcHNhZmVkZXYz]]></property></response>

<- step_over -i 21
xdebug_remote_log.txt (82,191 bytes)

stan

2015-08-18 05:21

reporter   ~0003160

I have just tested this on a new Ubuntu 14.04.3 server and the debugging crashes there as well.

stan

2015-08-18 11:18

reporter   ~0003162

I have installed Ubuntu 12.04.5 and the debugging has no problems with skipping over functions in ioncube encoded files. This bug seems to be affecting php versions newer than 5.3.10.

Test server:
PHP Version 5.3.10-1ubuntu3.19

Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.0.14, Copyright (c) 2002-2015, by ionCube Ltd.
    with Xdebug v2.1.0, Copyright (c) 2002-2010, by Derick Rethans

stan

2015-08-18 14:01

reporter   ~0003163

I have successfully downgraded php apache module on the Fedora 22 server to version 5.4.44 and debugging is now able to skip ioncube encoded functions without crashing. However, string variables with long values in phpStorm shows as empty. But this has never worked for me. Is there a solution for it?


Current working server Fedora 22:

PHP Version 5.4.44

Zend Engine v2.4.0
    with the ionCube PHP Loader (enabled) + Intrusion Protection from ioncube24.com (unconfigured) v5.0.14, Copyright (c) 2002-2015, by ionCube Ltd.
    with Xdebug v2.3.3, Copyright (c) 2002-2015, by Derick Rethans

derick

2015-11-20 18:01

administrator   ~0003247

I am going to need reproducible case for this, otherwise there is now way I can figure out what encoded files do different. But then again, I don't really want to support closed sourced proprietary extensions either. So I guess the ball is in your court now.

stan

2015-11-20 20:32

reporter   ~0003253

It's not about supporting "closed sourced proprietary extensions". It's about being able to debug an application which contains some encoded files. I don't need to step into proprietary code. I just need to be able to use the debugger (step over encrypted functions rather than crashing the debugger).

Magento is an open source ecommerce platform, however it allows to install extensions which often has some ioncube encoded files. With this bug, xdebug is useless for me.

Unfortunately I don't have a server with php newer than 5.4.44, which is affected by this bug. I have downgraded my server to CentOS 6 with php 5.4.45. The debugging works there.

derick

2015-12-15 18:45

administrator   ~0003349

I still need a reproducible case for this one.

derick

2016-02-11 18:52

administrator   ~0003485

I can't reproduce this, and the requested feedback was not provided. I am closing this, but feel free to reopen if you can provide the requested information and the problem still occurs with Xdebug 2.4.0RC4.

stan

2016-02-12 02:10

reporter   ~0003491

I have installed PHP 5.5.32 on CentOS 6.7 and xdebug-2.4.0RC4. The debugger works on simple projects. But when I try to debug a magento webshop, i get:

No data received
ERR_EMPTY_RESPONSE
HTTP Status: failed

The site still works with debugging turned off (no cookie). The debugging previously worked with PHP 5.4 and xdebug which came with it.

The webshop app which crashes:
Magento ver. 1.7.0.2
https://www.magentocommerce.com/download

With following magento extensions installed which contains ioncube encoded files:
https://www.unirgy.com//products/udropship/
and
https://www.magentocommerce.com/magento-connect/request-for-quotation.html

Not sure which of them is causing the error, but probably the unirgy extension.

Magento is free but the extensions are paid and expensive, so I don't expect you to install them. It's just for your information.

stan

2016-02-12 02:11

reporter   ~0003492

The debugging didn't work as well with xdebug version which came with PHP 5.5.32.

stan

2016-02-12 08:41

reporter   ~0003493

One thing you could do is ask Udropship to send you the extension for free. I believe that they would do it if you would contact their developers, not sales persons.

Unirgy1

2016-07-27 18:51

reporter  

test-encoded.php (2,466 bytes)

Unirgy1

2016-07-27 18:52

reporter  

test.php (150 bytes)

Unirgy1

2016-07-27 18:52

reporter   ~0003658

Last edited: 2016-07-27 18:53

View 2 revisions

I've uploaded test-encoded.php and its source test.php

Please let me know if you want any specific code encoded.

This file should work with encoders on PHP 5.6 or 7.0

Thanks

Issue History

Date Modified Username Field Change
2015-08-17 18:16 stan New Issue
2015-08-17 18:16 stan File Added: xdebug_remote_log.txt
2015-08-18 05:21 stan Note Added: 0003160
2015-08-18 11:18 stan Note Added: 0003162
2015-08-18 14:01 stan Note Added: 0003163
2015-11-20 18:01 derick Note Added: 0003247
2015-11-20 18:01 derick Assigned To => derick
2015-11-20 18:01 derick Status new => feedback
2015-11-20 20:32 stan Note Added: 0003253
2015-11-20 20:32 stan Status feedback => assigned
2015-11-22 15:05 derick Priority normal => none
2015-11-22 15:05 derick Severity block => minor
2015-12-15 18:45 derick Note Added: 0003349
2015-12-15 18:45 derick Status assigned => feedback
2016-02-11 18:52 derick Note Added: 0003485
2016-02-11 18:52 derick Status feedback => resolved
2016-02-11 18:52 derick Resolution open => unable to reproduce
2016-02-12 02:10 stan PHP Version 5.6.0-5.6.4 => 5.5.30-5.5.34
2016-02-12 02:10 stan Note Added: 0003491
2016-02-12 02:10 stan Status resolved => feedback
2016-02-12 02:10 stan Resolution unable to reproduce => reopened
2016-02-12 02:11 stan Note Added: 0003492
2016-02-12 02:11 stan Status feedback => assigned
2016-02-12 08:41 stan Note Added: 0003493
2016-07-27 18:51 Unirgy1 File Added: test-encoded.php
2016-07-27 18:52 Unirgy1 File Added: test.php
2016-07-27 18:52 Unirgy1 Note Added: 0003658
2016-07-27 18:53 Unirgy1 Note Edited: 0003658 View Revisions
2016-07-31 12:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 12:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)
2016-12-04 17:09 derick Status assigned => acknowledged